/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { LitElement, PropertyValues } from "lit";
export declare namespace Loading {
    type LoadingSize = "small" | "middle" | "large" | "";
    class ELEMENT extends LitElement {
        size: LoadingSize;
        private isAnimating;
        private animationFrameId;
        static get styles(): import("lit").CSSResult[];
        protected firstUpdated(_changedProperties: PropertyValues): void;
        disconnectedCallback(): void;
        private startAnimation;
        private stopAnimation;
        get loadingClassMap(): {
            [x: string]: boolean;
        };
        get loadingIconClassMap(): {
            "md-loading__icon": boolean;
        };
        render(): import("lit-html").TemplateResult<1>;
    }
}
declare global {
    interface HTMLElementTagNameMap {
        "md-loading": Loading.ELEMENT;
    }
}
